Bug 521914 - quota: trying to claim more space than is reserved
Summary: quota: trying to claim more space than is reserved
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: powerpc
OS: Linux
low
medium
Target Milestone: ---
Assignee: Eric Sandeen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 17:06 UTC by Derek Piazza
Modified: 2010-06-28 14:32 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:32:20 UTC


Attachments (Terms of Use)
Error Message (2.37 KB, text/plain)
2009-09-08 17:06 UTC, Derek Piazza
no flags Details
The spec for my modified 2.6.32.10-90.fc12.x86_64 kernel (129.41 KB, application/octet-stream)
2010-04-01 06:57 UTC, Rolf Fokkens
no flags Details

Description Derek Piazza 2009-09-08 17:06:21 UTC
Created attachment 360109 [details]
Error Message

Description of problem:

After the most recent update to the new Kernel (2.6.30.5-43.fc11.ppc.smp) After the first reboot, I got a strange red line and did not move. I rebooted the machine again and it came alive. Now I get "Message from syslogd@hotmallo at Sep  8 10:01:35 ...
 kernel:------------[ cut here ]------------"

on SSH and on the screen of the Machine it self.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Sep  6 21:53:17 kernel: ------------[ cut here ]------------
Sep  6 21:53:17 kernel: Badness at fs/quota/dquot.c:964
Sep  6 21:53:17 kernel: NIP: c018a754 LR: c018a724 CTR: c018a698
Sep  6 21:53:17 kernel: REGS: efb0da00 TRAP: 0700   Not tainted  (2.6.30.5-43.fc11.ppc.smp)
Sep  6 21:53:17 kernel: MSR: 00029032 <EE,ME,CE,IR,DR>  CR: 28008028  XER: 00000000
Sep  6 21:53:17 kernel: TASK = ef92ae80[27] 'pdflush' THREAD: efb0c000 CPU: 0
Sep  6 21:53:17 kernel: GPR00: 00000001 efb0dab0 ef92ae80 c078ea60 00000015 00000015 00002000 00000000
Sep  6 21:53:17 kernel: GPR08: 00000000 ef4510a0 00000000 00001000 22008042 00000000 c057b42c 00000001
Sep  6 21:53:17 kernel: GPR16: ef5880f0 00000000 00000001 00000000 00000000 000095f9 00000000 000095f8
Sep  6 21:53:17 kernel: GPR24: c0790000 ee673350 ef5880f0 ef5ad1b0 00000000 00002000 ee673350 efb0dab0
Sep  6 21:53:17 kernel: NIP [c018a754] dquot_claim_space+0xbc/0x1ec
Sep  6 21:53:17 kernel: LR [c018a724] dquot_claim_space+0x8c/0x1ec
Sep  6 21:53:17 kernel: Call Trace:
Sep  6 21:53:17 kernel: [efb0dab0] [c018a724] dquot_claim_space+0x8c/0x1ec (unreliable)
Sep  6 21:53:17 kernel: [efb0dad0] [c01ecbd0] ext4_mb_mark_diskspace_used+0x4a0/0x5ac
Sep  6 21:53:17 kernel: [efb0db20] [c01f17ac] ext4_mb_new_blocks+0x308/0x64c
Sep  6 21:53:17 kernel: [efb0db90] [c01e749c] ext4_ext_get_blocks+0xd0c/0xfc8
Sep  6 21:53:17 kernel: [efb0dc70] [c01cf918] ext4_get_blocks_wrap+0x174/0x358
Sep  6 21:53:17 kernel: [efb0dcb0] [c01d18b0] mpage_da_map_blocks+0xe8/0x77c
Sep  6 21:53:17 kernel: [efb0dd90] [c01d2294] ext4_da_writepages+0x350/0x570
Sep  6 21:53:17 kernel: [efb0de40] [c00f9fe4] do_writepages+0x60/0x9c
Sep  6 21:53:17 kernel: [efb0de50] [c015d3ec] __writeback_single_inode+0x184/0x324
Sep  6 21:53:17 kernel: [efb0dea0] [c015db48] generic_sync_sb_inodes+0x2b4/0x46c
Sep  6 21:53:17 kernel: [efb0def0] [c015e058] writeback_inodes+0xec/0x178
Sep  6 21:53:17 kernel: [efb0df20] [c00fa2a8] wb_kupdate+0x104/0x1ac
Sep  6 21:53:17 kernel: [efb0df80] [c00fb7e4] pdflush+0x180/0x284
Sep  6 21:53:17 kernel: [efb0dfd0] [c00856d8] kthread+0x68/0xb0
Sep  6 21:53:17 kernel: [efb0dff0] [c0019ef0] kernel_thread+0x4c/0x68
Sep  6 21:53:17 kernel: Instruction dump:
Sep  6 21:53:17 kernel: 813e0104 2f890000 419e005c 81690078 38000000 7f8be000 419c0014 40be0014
Sep  6 21:53:17 kernel: 8169007c 7f8be840 409c0008 38000001 <0f000000> 81690070 81890074 80e90078


Installed Packages:

basesystem-10.0-2.noarch
chkconfig-1.3.42-1.ppc
readline-5.2-14.fc11.ppc
libattr-2.4.43-3.fc11.ppc
libacl-2.2.47-4.fc11.ppc
file-libs-5.03-2.fc11.ppc
libidn-1.9-4.ppc
libnl-1.1-6.fc11.ppc
findutils-4.4.0-2.fc11.ppc
diffutils-2.8.1-23.fc11.ppc
newt-0.52.10-3.fc11.ppc
grep-2.5.3-4.fc11.ppc
iptables-ipv6-1.4.3.1-1.fc11.ppc
tar-1.22-4.fc11.ppc
dmraid-1.0.0.rc15-7.fc11.ppc
isomd5sum-1.0.5-2.fc11.ppc
m4-1.4.12-2.fc11.ppc
procps-3.2.7-27.fc11.ppc
linux-atm-libs-2.5.0-9.ppc
ustr-1.0.4-8.fc11.ppc
ps3-utils-2.3-3.fc11.ppc
iprutils-2.2.13-3.fc11.ppc
setserial-2.17-23.fc11.ppc
logrotate-3.7.8-2.fc11.ppc
gamin-0.1.10-4.fc11.ppc
perl-Pod-Escapes-1.04-73.fc11.ppc
python-iniparse-0.3.0-2.fc11.noarch
pygpgme-0.1-12.20090121bzr54.fc11.ppc
policycoreutils-2.0.62-12.12.fc11.ppc
perl-Module-Pluggable-3.60-73.fc11.ppc
libservicelog-1.0.1-2.fc11.ppc
udev-141-4.fc11.ppc
perl-5.10.0-73.fc11.ppc
dbus-glib-0.80-2.fc11.ppc
ppc64-utils-0.14-4.fc11.ppc
perl-Pod-Simple-3.07-73.fc11.ppc
nano-2.0.6-6.fc11.ppc
ppl-0.10.2-3.fc11.ppc
zip-2.31-7.fc11.ppc
quota-3.17-4.fc11.ppc
perl-DBI-1.607-2.fc11.ppc
libsepol-devel-2.0.36-1.fc11.ppc
perl-DBD-MySQL-4.010-1.fc11.ppc
cyrus-sasl-2.1.22-22.fc11.ppc
cyrus-sasl-gssapi-2.1.22-22.fc11.ppc
telnet-0.17-43.fc11.ppc
apr-util-1.3.9-1.fc11.ppc
libfontenc-1.0.4-7.fc11.ppc
libXau-1.0.4-5.fc11.ppc
libxcb-1.2-4.fc11.ppc
hdf5-1.8.3-1.fc11.ppc
libxslt-1.1.24-4.fc11.ppc
PolicyKit-0.9-6.fc11.ppc
lcms-libs-1.18-2.fc11.ppc
GConf2-2.26.2-1.fc11.ppc
librx-1.5-12.fc11.ppc
cfitsio-3.130-4.fc11.ppc
automake-1.11-2.fc11.noarch
perl-Compress-Zlib-2.008-73.fc11.ppc
perl-URI-1.37-2.fc11.noarch
perl-libwww-perl-5.825-2.fc11.noarch
libXfixes-4.0.3-5.fc11.ppc
libXmu-1.0.4-2.fc11.ppc
libXft-2.1.13-2.fc11.ppc
mesa-libGL-7.6-0.1.fc11.ppc
php-shout-0.9.2-3.fc11.ppc
grass-libs-6.3.0-12.fc11.ppc
perl-Digest-SHA1-2.11-8.fc11.ppc
perl-devel-5.10.0-73.fc11.ppc
ftp-0.17-50.fc11.ppc
leonidas-backgrounds-common-11.0.0-1.fc11.noarch
leonidas-backgrounds-kdm-11.0.0-1.fc11.noarch
libxfce4util-4.6.1-1.fc11.ppc
xfconf-4.6.1-1.fc11.ppc
shared-mime-info-0.60-3.fc11.ppc
libXv-1.0.4-2.fc11.ppc
ConsoleKit-x11-0.3.0-8.fc11.ppc
pygobject2-2.16.1-4.fc11.ppc
libXdmcp-1.0.2-8.fc11.ppc
gtk2-engines-2.18.2-1.fc11.ppc
radeontool-1.5-5.fc11.ppc
libwnck-2.26.2-1.fc11.ppc
avahi-glib-0.6.25-3.fc11.ppc
notification-daemon-0.4.0-3.fc11.ppc
libasyncns-0.7-2.fc11.ppc
pyxf86config-0.3.37-4.fc11.ppc
zenity-2.26.0-1.fc11.ppc
deltarpm-3.4-16.fc11.ppc
comps-extras-16-2.noarch
control-center-filesystem-2.26.0-10.fc11.ppc
vpnc-0.5.3-3.fc11.ppc
dnsmasq-2.46-2.fc11.ppc
avahi-autoipd-0.6.25-3.fc11.ppc
openvpn-2.1-0.32.rc15.fc11.ppc
xdelta-1.1.4-5.fc11.ppc
ntfs-3g-2009.4.4-1.fc11.ppc
yum-utils-1.1.22-1.fc11.noarch
perl-XML-RSS-1.44-1.fc11.noarch
erlang-R12B-5.7.fc11.ppc
gstreamer-tools-0.10.24-1.fc11.ppc
libvorbis-1.2.0-8.fc11.ppc
urlview-0.9-5.fc11.ppc
libXau-devel-1.0.4-5.fc11.ppc
libXdmcp-devel-1.0.2-8.fc11.ppc
libXpm-devel-3.5.7-5.fc11.ppc
clamav-data-0.95.1-2.fc11.noarch
tcpdump-3.9.8-8.fc11.ppc
coreutils-7.2-3.fc11.ppc
libxml2-devel-2.7.3-3.fc11.ppc
libntlm-1.0-2.fc11.ppc
crontabs-1.10-30.fc11.noarch
poppler-0.10.7-2.fc11.ppc
portreserve-0.0.4-1.fc11.ppc
python-dns-1.7.1-1.fc11.noarch
gtk-nodoka-engine-0.7.2-5.fc11.ppc
perl-Date-Manip-5.54-2.fc11.noarch
apr-1.3.8-2.fc11.ppc
vsftpd-2.1.2-1.fc11.ppc
nss-softokn-freebl-3.12.3.99.3-2.11.4.fc11.ppc
kernel-smp-2.6.29.6-217.2.8.fc11.ppc
gcc-4.4.1-2.fc11.ppc
hal-0.5.12-29.20090226git.fc11.ppc
gcc-c++-4.4.1-2.fc11.ppc
PackageKit-yum-plugin-0.4.9-1.fc11.ppc
perl-Digest-SHA-5.47-73.fc11.ppc
nomarch-1.4-5.fc11.ppc
altermime-0.3.10-2.fc11.ppc
perl-Crypt-OpenSSL-Random-0.04-7.fc11.ppc
perl-Crypt-OpenSSL-Bignum-0.04-6.fc11.ppc
lzop-1.02-0.7.rc1.fc11.ppc
perl-Net-SSLeay-1.35-4.fc11.ppc
perl-Authen-SASL-2.12-2.fc11.noarch
perl-Convert-BinHex-1.119-9.fc11.noarch
perl-IO-Multiplex-1.10-3.fc11.noarch
perl-Package-Constants-0.01-73.fc11.ppc
perl-XML-SAX-0.96-2.fc11.noarch
amavisd-new-2.6.2-3.fc11.noarch
xz-libs-4.999.8-0.8.beta.20090817git.fc11.ppc
gpgme-1.1.8-1.fc11.ppc
xerces-c-2.8.0-5.fc11.ppc
faad2-libs-2.7-1.fc11.ppc
db4-devel-4.7.25-11.fc11.ppc
httpd-tools-2.2.13-1.fc11.ppc
mod_ssl-2.2.13-1.fc11.ppc
alsa-lib-1.0.21-1.fc11.ppc
perl-IO-Socket-SSL-1.30-1.fc11.noarch
mysql-devel-5.1.37-1.fc11.ppc
sendmail-milter-8.14.3-5.fc11.ppc
openldap-2.4.15-5.fc11.ppc
kernel-bootwrapper-2.6.30.5-43.fc11.ppc
openldap-devel-2.4.15-5.fc11.ppc
selinux-policy-3.6.12-82.fc11.noarch
php-common-5.2.10-1.fc11.ppc
python-2.6-11.fc11.ppc
glib2-2.20.5-1.fc11.ppc
gtk2-2.16.6-2.fc11.ppc
cloog-ppl-0.15.7-1.fc11.ppc
info-4.13a-4.fc11.ppc
smartmontools-5.38-13.fc11.ppc
php-mssql-5.2.10-1.fc11.ppc
php-gd-5.2.10-1.fc11.ppc
php-xmlrpc-5.2.10-1.fc11.ppc
glibc-headers-2.10.1-5.ppc
mkinitrd-6.0.87-4.fc11.ppc
filesystem-2.4.21-1.fc11.ppc
ca-certificates-2008-8.noarch
fedora-release-11-1.noarch
zlib-1.2.3-22.fc11.ppc
libsepol-2.0.36-1.fc11.ppc
popt-1.13-5.fc11.ppc
audit-libs-1.7.13-1.fc11.ppc
db4-4.7.25-11.fc11.ppc
device-mapper-libs-1.02.33-2.fc11.ppc
sqlite-3.6.12-3.fc11.ppc
libcap-2.16-4.fc11.1.ppc
libgpg-error-1.6-3.ppc
device-mapper-1.02.33-2.fc11.ppc
libgcrypt-1.4.4-6.fc11.ppc
sed-4.2.1-1.fc11.ppc
expat-2.0.1-6.ppc
e2fsprogs-1.41.4-12.fc11.ppc
parted-1.8.8-17.fc11.ppc
iptables-1.4.3.1-1.fc11.ppc
sysvinit-tools-2.86-27.ppc
cpio-2.9.90-5.fc11.ppc
cracklib-2.8.13-4.ppc
slang-2.1.4-3.fc11.ppc
gdbm-1.8.0-31.fc11.ppc
pcre-7.8-2.fc11.ppc
less-429-1.fc11.ppc
plymouth-libs-0.7.0-0.2009.05.15.1.fc11.ppc
iw-0.9.15-1.fc11.ppc
vim-minimal-7.2.148-1.fc11.ppc
kpartx-0.4.8-10.fc11.ppc
db4-utils-4.7.25-11.fc11.ppc
net-tools-1.60-93.fc11.ppc
psmisc-22.6-9.fc11.ppc
hfsutils-3.2.6-16.fc11.ppc
ncurses-5.7-2.20090207.fc11.ppc
mingetty-1.08-3.fc11.ppc
iproute-2.6.29-2.fc11.ppc
keyutils-libs-1.2-5.fc11.ppc
libsemanage-2.0.31-4.fc11.ppc
ps3-utils-libs-2.3-3.fc11.ppc
libffi-3.0.5-2.fc11.ppc
file-5.03-2.fc11.ppc
attr-2.4.43-3.fc11.ppc
cracklib-dicts-2.8.13-4.ppc
pam-1.0.91-6.fc11.ppc
util-linux-ng-2.14.2-9.fc11.ppc
openssl-0.9.8k-5.fc11.ppc
module-init-tools-3.7-9.fc11.ppc
gawk-3.1.6-5.fc11.ppc
rsyslog-3.22.1-1.fc11.ppc
libuser-0.56.9-3.ppc
libssh2-1.0-2.fc11.ppc
gzip-1.3.12-9.fc11.ppc
usermode-1.100-2.ppc
lvm2-2.02.48-2.fc11.ppc
plymouth-scripts-0.7.0-0.2009.05.15.1.fc11.ppc
fedora-logos-11.0.6-1.fc11.noarch
audit-1.7.13-1.fc11.ppc
rpm-libs-4.7.1-1.fc11.ppc
python-urlgrabber-3.0.0-15.fc11.noarch
yum-metadata-parser-1.1.2-12.fc11.ppc
authconfig-5.4.10-1.fc11.ppc
initscripts-8.95-1.ppc
rpm-4.7.1-1.fc11.ppc
rpm-python-4.7.1-1.fc11.ppc
cronie-1.3-2.fc11.ppc
kbd-1.15-7.fc11.ppc
MAKEDEV-3.24-3.ppc
mdadm-3.0-1.fc11.ppc
perl-libs-5.10.0-73.fc11.ppc
exim-4.69-10.fc11.ppc
powerpc-utils-papr-1.1.5-1.fc11.ppc
dbus-python-0.83.0-5.fc11.ppc
gpg-pubkey-d22e77f2-49ee1409
fipscheck-1.2.0-1a.fc11.ppc
gmp-4.2.4-6.fc11.ppc
hesiod-3.1.0-15.ppc
which-2.19-4.fc11.ppc
procmail-3.22-23.fc11.ppc
nmap-5.00-1.fc11.ppc
unzip-5.52-10.fc11.ppc
ncftp-3.2.2-2.fc11.ppc
tcp_wrappers-7.6-55.fc11.ppc
device-mapper-devel-1.02.33-2.fc11.ppc
zlib-devel-1.2.3-22.fc11.ppc
libselinux-devel-2.0.80-1.fc11.ppc
krb5-devel-1.6.3-20.fc11.ppc
openssl-devel-0.9.8k-5.fc11.ppc
cyrus-sasl-devel-2.1.22-22.fc11.ppc
cyrus-sasl-md5-2.1.22-22.fc11.ppc
mlocate-0.22-1.ppc
libjpeg-6b-45.fc11.ppc
libtiff-3.8.2-14.fc11.ppc
libSM-1.1.0-4.fc11.ppc
jasper-libs-1.900.1-10.fc11.ppc
libogg-1.1.3-11.fc11.ppc
libtheora-1.0-3.fc11.ppc
postgresql-libs-8.3.7-1.fc11.ppc
perl-Compress-Raw-Zlib-2.008-73.fc11.ppc
speex-1.2-0.11.rc1.fc11.ppc
mesa-dri-drivers-7.6-0.1.fc11.ppc
libshout-2.2.2-4.fc11.ppc
apr-util-ldap-1.3.9-1.fc11.ppc
atlas-3.8.3-4.fc11.ppc
libgeotiff-1.2.5-4.fc11.ppc
libmcrypt-2.5.8-8.fc11.ppc
libcroco-0.6.2-2.fc11.ppc
libtidy-0.99.0-18.20070615.fc11.ppc
mhash-0.9.9.9-1.fc11.ppc
SDL-1.2.13-9.fc11.ppc
ORBit2-2.14.17-1.fc11.ppc
libgsf-1.14.11-3.fc11.ppc
freetds-0.82-5.fc11.ppc
fftw2-2.1.5-18.fc11.ppc
fribidi-0.19.2-1.fc11.ppc
libthai-0.1.9-7.fc11.ppc
libwmf-lite-0.2.8.4-20.fc11.ppc
autoconf-2.63-2.fc11.noarch
mailcap-2.1.29-2.fc11.noarch
perl-IO-Compress-Zlib-2.008-73.fc11.ppc
urw-fonts-2.4-7.fc11.noarch
perl-HTML-Parser-3.60-1.fc11.ppc
libidn-devel-1.9-4.ppc
php-pear-1.7.2-3.fc11.noarch
libX11-1.2.2-1.fc11.ppc
libXrender-0.9.4-5.fc11.ppc
libXt-1.0.5-2.fc11.ppc
libXpm-3.5.7-5.fc11.ppc
gd-2.0.35-8.fc11.ppc
libXcursor-1.1.9-4.fc11.ppc
libXaw-1.0.4-4.fc11.ppc
pango-1.24.5-1.fc11.ppc
libXxf86vm-1.0.2-2.fc11.ppc
mesa-libGLU-7.6-0.1.fc11.ppc
libXinerama-1.0.3-4.fc11.ppc
librsvg2-2.26.0-1.fc11.ppc
giflib-4.1.6-2.fc11.ppc
php-eaccelerator-0.9.5.3-3.fc11.ppc
fedora-usermgmt-default-fedora-setup-0.10-3.fc11.noarch
webmin-1.480-1.noarch
libgsasl-0.2.29-2.fc11.ppc
udns-0.0.9-4.fc11.ppc
openjpeg-libs-1.3-5.fc11.ppc
at-3.1.10-31.fc11.ppc
libgcc-4.4.1-2.fc11.ppc
elfutils-libelf-0.142-1.fc11.ppc
PackageKit-glib-0.4.9-1.fc11.ppc
PackageKit-yum-0.4.9-1.fc11.ppc
PackageKit-0.4.9-1.fc11.ppc
libusb1-1.0.0-2.fc11.ppc
kernel-smp-2.6.29.6-217.2.16.fc11.ppc
bash-4.0-8.fc11.ppc
db4-cxx-4.7.25-11.fc11.ppc
expat-devel-2.0.1-6.ppc
apr-util-devel-1.3.9-1.fc11.ppc
mod_cband-0.9.7.5-4.fc11.ppc
pygtk2-2.14.1-2.fc11.ppc
httpd-2.2.13-1.fc11.ppc
qt-4.5.2-3.fc11.ppc
php-mapserver-5.2.3-1.fc11.ppc
mysql-libs-5.1.37-1.fc11.ppc
mysql-server-5.1.37-1.fc11.ppc
blas-3.2.1-3.fc11.ppc
openldap-clients-2.4.15-5.fc11.ppc
ejabberd-2.0.5-6.fc11.ppc
selinux-policy-targeted-3.6.12-82.fc11.noarch
glibc-2.10.1-5.ppc
php-pdo-5.2.10-1.fc11.ppc
yum-updatesd-0.9-2.fc11.noarch
ntpdate-4.2.4p7-2.fc11.ppc
perl-Digest-HMAC-1.01-20.fc11.noarch
perl-Test-Harness-3.16-73.fc11.ppc
perl-ExtUtils-MakeMaker-6.36-73.fc11.ppc
perl-ExtUtils-ParseXS-2.18-73.fc11.ppc
libart_lgpl-2.3.20-4.fc11.ppc
libbonobo-2.24.1-1.fc11.ppc
raptor-1.4.18-2.fc11.ppc
hunspell-1.2.8-7.fc11.ppc
enchant-1.4.2-5.fc11.ppc
clucene-core-0.9.21-3.fc11.ppc
ConsoleKit-libs-0.3.0-8.fc11.ppc
ilmbase-1.0.1-4.fc11.ppc
libmng-1.0.10-2.fc11.ppc
OpenEXR-libs-1.6.1-8.fc11.ppc
libxfcegui4-4.6.1-1.fc11.ppc
rasqal-0.9.15-4.fc11.ppc
cryptsetup-luks-1.0.6-7.fc11.ppc
dbus-x11-1.2.12-2.fc11.ppc
pycairo-1.8.2-2.fc11.ppc
libmodplug-0.8.7-1.fc11.ppc
wavpack-4.50.1-3.fc11.ppc
xorg-x11-xauth-1.0.2-6.fc11.ppc
libXxf86misc-1.0.1-7.fc11.ppc
libXres-1.0.3-6.fc11.ppc
libXtst-1.0.3-5.fc11.ppc
avahi-0.6.25-3.fc11.ppc
python-numeric-24.2-13.fc11.ppc
gnome-python2-2.26.1-1.fc11.ppc
hunspell-en-0.20090216-2.fc11.noarch
libsexy-0.1.11-10.fc11.ppc
notification-daemon-engine-nodoka-0.1.0-6.fc11.ppc
libnotify-0.4.5-2.fc11.ppc
pm-utils-1.2.5-2.fc11.ppc
libuser-python-0.56.9-3.ppc
NetworkManager-glib-0.7.1-8.git20090708.fc11.ppc
rarian-compat-0.8.1-4.fc11.ppc
DeviceKit-003-1.ppc
unique-1.0.8-1.fc11.ppc
libarchive-2.6.2-1.fc11.ppc
createrepo-0.9.7-7.fc11.noarch
authconfig-gtk-5.4.10-1.fc11.ppc
xml-common-0.6.3-27.fc11.noarch
preupgrade-1.1.0-1.fc11.noarch
libtalloc-1.3.1-0.fc11.ppc
perl-Params-Validate-0.91-2.fc11.ppc
perl-List-MoreUtils-0.22-8.fc11.ppc
rsync-3.0.6-0.fc11.ppc
perl-File-RsyncP-0.68-5.fc11.ppc
wpa_supplicant-0.6.8-4.fc11.ppc
lzo-2.03-2.fc11.ppc
perl-suidperl-5.10.0-73.fc11.ppc
screen-4.0.3-13.fc11.ppc
bonnie++-1.03c-2.fc11.ppc
jigdo-0.7.3-8.fc11.ppc
perl-Archive-Zip-1.23-2.fc11.noarch
perl-Time-modules-2006.0814-4.fc11.noarch
perl-DateTime-Format-Mail-0.3001-4.fc11.noarch
samba-common-3.3.2-0.33.fc11.ppc
tk-8.5.6-4.fc11.ppc
fedora-usermgmt-core-0.10-3.fc11.noarch
fedora-usermgmt-0.10-3.fc11.noarch
xorg-x11-proto-devel-7.4-15.fc11.noarch
freetype-devel-2.3.9-5.fc11.ppc
libxcb-devel-1.2-4.fc11.ppc
libX11-devel-1.2.2-1.fc11.ppc
libpng-devel-1.2.37-1.fc11.ppc
gd-devel-2.0.35-8.fc11.ppc
clamav-filesystem-0.95.1-2.fc11.noarch
clamav-lib-0.95.1-2.fc11.ppc
clamav-update-0.95.1-2.fc11.ppc
bind-libs-9.6.1-4.P1.fc11.ppc
libxml2-2.7.3-3.fc11.ppc
libxml2-python-2.7.3-3.fc11.ppc
man-1.6f-20.fc11.ppc
binutils-2.19.51.0.14-1.fc11.ppc
shadow-utils-4.1.4.1-5.fc11.ppc
poppler-utils-0.10.7-2.fc11.ppc
paps-0.6.8-9.fc11.ppc
webalizer-2.21_02-2.ppc
dnssec-conf-1.21-1.fc11.noarch
samba-3.3.2-0.33.fc11.ppc
cups-libs-1.4-0.rc1.15.fc11.ppc
mailx-12.4-2.fc11.ppc
nss-3.12.3.99.3-2.11.4.fc11.ppc
hal-libs-0.5.12-29.20090226git.fc11.ppc
cpp-4.4.1-2.fc11.ppc
libgfortran-4.4.1-2.fc11.ppc
libtool-ltdl-2.2.6-11.fc11.1.ppc
setuptool-1.19.6-1.fc11.ppc
traceroute-2.0.12-2.fc11.ppc
clamav-devel-0.95.1-2.fc11.ppc
perl-Socket6-0.23-1.fc11.ppc
perl-NetAddr-IP-4.007-4.fc11.ppc
perl-GSSAPI-0.26-2.fc11.ppc
gnupg-1.4.9-5.fc11.ppc
perl-Net-LibIDN-0.11-2.fc11.ppc
perl-Razor-Agent-2.85-2.fc11.ppc
clamav-server-0.95.1-2.fc11.ppc
perl-BerkeleyDB-0.34-2.fc11.ppc
cabextract-1.2-2.fc11.ppc
perl-Crypt-OpenSSL-RSA-0.25-8.fc11.ppc
p7zip-4.65-1.fc11.ppc
perl-IO-stringy-2.110-9.fc11.noarch
perl-XML-NamespaceSupport-1.09-5.fc11.noarch
perl-IO-Zlib-1.07-73.fc11.ppc
perl-TimeDate-1.16-10.fc11.noarch
perl-Mail-DKIM-0.33-2.fc11.noarch
perl-MIME-tools-5.427-2.fc11.noarch
perl-Convert-ASN1-0.21-4.fc11.noarch
perl-Net-Server-0.97-6.fc11.noarch
perl-Mail-SPF-2.006-2.fc11.noarch
perl-Archive-Tar-1.46-73.fc11.ppc
perl-XML-LibXML-1.69-2.fc11.ppc
perl-LDAP-0.34-5.fc11.noarch
spamassassin-3.2.5-5.fc11.ppc
pyzor-0.4.0-15.fc11.noarch
libksba-1.0.6-1.fc11.ppc
dirmngr-1.0.3-2.fc11.ppc
gnupg2-2.0.12-1.fc11.ppc
xz-4.999.8-0.8.beta.20090817git.fc11.ppc
strigi-libs-0.7.0-1.fc11.ppc
xz-lzma-compat-4.999.8-0.8.beta.20090817git.fc11.ppc
curl-7.19.6-1.fc11.ppc
httpd-devel-2.2.13-1.fc11.ppc
fetchmail-6.3.9-5.fc11.ppc
kernel-firmware-2.6.30.5-43.fc11.noarch
kernel-smp-2.6.30.5-43.fc11.ppc
nash-6.0.87-4.fc11.ppc
libXext-1.0.99.1-3.fc11.ppc
unixODBC-2.2.14-6.fc11.ppc
python-libs-2.6-11.fc11.ppc
glibc-common-2.10.1-5.ppc
grubby-6.0.87-4.fc11.ppc
php-5.2.10-1.fc11.ppc
gnutls-2.6.6-2.fc11.ppc
libdrm-2.4.11-2.fc11.ppc
libcap-ng-0.6.1-1.fc11.ppc
openssh-server-5.2p1-5.fc11.ppc
php-odbc-5.2.10-1.fc11.ppc
php-mysql-5.2.10-1.fc11.ppc
php-mbstring-5.2.10-1.fc11.ppc
php-mhash-5.2.10-1.fc11.ppc
php-mcrypt-5.2.10-1.fc11.ppc
php-ldap-5.2.10-1.fc11.ppc
php-soap-5.2.10-1.fc11.ppc
yum-3.2.24-1.fc11.noarch
php-devel-5.2.10-1.fc11.ppc
fontconfig-devel-2.7.2-1.fc11.ppc
setup-2.8.3-1.fc11.noarch
ncurses-base-5.7-2.20090207.fc11.ppc
rootfiles-8.1-5.fc11.noarch
ncurses-libs-5.7-2.20090207.fc11.ppc
libselinux-2.0.80-1.fc11.ppc
e2fsprogs-libs-1.41.4-12.fc11.ppc
bzip2-libs-1.0.5-5.fc11.ppc
nspr-4.8-1.fc11.ppc
lua-5.1.4-3.fc11.ppc
tcp_wrappers-libs-7.6-55.fc11.ppc
pth-2.0.7-8.ppc
cyrus-sasl-lib-2.1.22-22.fc11.ppc
checkpolicy-2.0.19-2.fc11.ppc
libpng-1.2.37-1.fc11.ppc
libusb-0.1.12-21.fc11.ppc
iputils-20071127-8.fc11.ppc
bzip2-1.0.5-5.fc11.ppc
libselinux-utils-2.0.80-1.fc11.ppc
yaboot-1.3.14-13.fc11.ppc
ethtool-6-4.20090306git.fc11.ppc
libsysfs-2.1.0-5.fc11.ppc
librtas-1.3.3-4.fc11.ppc
libvolume_id-141-4.fc11.ppc
acl-2.2.47-4.fc11.ppc
krb5-libs-1.6.3-20.fc11.ppc
passwd-0.76-2.fc11.ppc
hwdata-0.225-1.fc11.noarch
sudo-1.7.1-4.fc11.ppc
newt-python-0.52.10-3.fc11.ppc
perl-version-0.74-73.fc11.ppc
plymouth-0.7.0-0.2009.05.15.1.fc11.ppc
crda-1.1.0_2009.04.17-11.fc11.ppc
dbus-libs-1.2.12-2.fc11.ppc
powerpc-utils-1.1.3-2.fc11.ppc
dbus-1.2.12-2.fc11.ppc
fipscheck-lib-1.2.0-1a.fc11.ppc
mpfr-2.4.1-1.fc11.ppc
libpcap-0.9.8-4.fc11.ppc
wget-1.11.4-3.fc11.ppc
pkgconfig-0.23-8.fc11.ppc
e2fsprogs-devel-1.41.4-12.fc11.ppc
keyutils-libs-devel-1.2-5.fc11.ppc
cyrus-sasl-plain-2.1.22-22.fc11.ppc
postfix-2.5.6-3.fc11.ppc
freetype-2.3.9-5.fc11.ppc
libICE-1.0.4-7.fc11.ppc
proj-4.6.1-2.fc11.ppc
geos-3.0.3-2.fc11.ppc
atk-1.25.2-2.fc11.ppc
libXfont-1.4.0-3.fc11.ppc
ogdi-3.2.0-0.13.beta2.fc11.ppc
libdap-3.8.2-3.fc11.ppc
netcdf-4.0.0-2.fc11.ppc
libIDL-0.8.13-1.fc11.ppc
libtasn1-1.8-2.fc11.ppc
pixman-0.14.0-2.fc11.ppc
libc-client-2007e-5.fc11.ppc
xorg-x11-filesystem-7.3-4.fc11.noarch
perl-IO-Compress-Base-2.008-73.fc11.ppc
perl-HTML-Tagset-3.20-2.fc11.noarch
hicolor-icon-theme-0.10-6.noarch
cairo-1.8.8-1.fc11.ppc
libXdamage-1.1.1-6.fc11.ppc
libXcomposite-0.4.0-7.fc11.ppc
t1lib-5.1.2-3.fc11.ppc
libXrandr-1.2.99.4-3.fc11.ppc
libXi-1.2.1-1.fc11.ppc
agg-2.5-7.fc11.ppc
php-magpierss-0.72-5.fc11.noarch
gdal-1.6.0-8.fc11.ppc
ntp-4.2.4p7-2.fc11.ppc
perl-Net-DNS-0.63-5.fc11.ppc
perl-ExtUtils-AutoInstall-0.63-9.fc11.noarch
nodoka-filesystem-0.3.90-3.fc11.noarch
gnome-mime-data-2.18.0-4.fc11.noarch
libglade2-2.6.4-1.fc11.ppc
startup-notification-0.9-6.fc11.ppc
libutempter-1.1.5-3.fc11.ppc
ConsoleKit-0.3.0-8.fc11.ppc
libXvMC-1.0.4-6.fc11.ppc
usermode-gtk-1.100-2.ppc
libmpcdec-1.2.6-5.fc11.ppc
exiv2-libs-0.18.2-2.fc11.ppc
pyorbit-2.24.0-3.fc11.ppc
libdaemon-0.13-2.fc11.ppc
xfce4-notifyd-0.1.0-2.fc11.ppc
hal-info-20090414-1.fc11.noarch
libtdb-1.1.5-0.fc11.ppc
PolicyKit-gnome-libs-0.9.2-3.fc11.ppc
rarian-0.8.1-4.fc11.ppc
libudev0-141-4.fc11.ppc
cracklib-python-2.8.13-4.ppc
lzma-libs-4.32.7-2.fc11.ppc
iso-codes-3.7-1.fc11.noarch
anaconda-yum-plugins-1.0-4.fc11.noarch
openconnect-2.01-1.fc11.ppc
ppp-2.4.4-11.fc11.ppc
perl-XML-Parser-2.36-4.fc11.ppc
ipsec-tools-0.7.2-1.fc11.ppc
zsh-4.3.9-4.fc11.ppc
zisofs-tools-1.0.8-4.fc11.ppc
perl-Class-Singleton-1.4-4.fc11.noarch
perl-DateTime-0.4501-2.fc11.ppc
perl-DateTime-Format-W3CDTF-0.04-6.fc11.noarch
samba-winbind-3.3.2-0.33.fc11.ppc
tcl-8.5.6-6.fc11.ppc
fedora-usermgmt-shadow-utils-0.10-3.fc11.noarch
anacron-2.3-78.fc11.ppc
tmpwatch-2.9.14-1.ppc
libjpeg-devel-6b-45.fc11.ppc
clamav-0.95.1-2.fc11.ppc
bind-utils-9.6.1-4.P1.fc11.ppc
upstart-0.3.11-1.fc11.ppc
gpg-pubkey-11f63c51-3c7dc11d
gc-7.1-7.fc11.ppc
groff-1.18.1.4-17.fc11.ppc
paps-libs-0.6.8-9.fc11.ppc
tzdata-2009k-2.fc11.noarch
hdparm-9.16-1.fc11.ppc
usermin-1.410-1.noarch
libstdc++-4.4.1-2.fc11.ppc
libgomp-4.4.1-2.fc11.ppc
DeviceKit-power-010-0.3.20090810git.fc11.ppc
libstdc++-devel-4.4.1-2.fc11.ppc
ss5-3.6.4-4.fc11.ppc
PackageKit-gtk-module-0.4.9-1.fc11.ppc
patch-2.5.4-39.fc11.ppc
perl-XML-LibXML-Common-0.13-14.fc11.ppc
arj-3.10.22-8.fc11.ppc
perl-Unix-Syslog-1.1-2.fc11.ppc
perl-DBD-SQLite-1.25-2.fc11.ppc
freeze-2.5.0-10.fc11.ppc
perl-Convert-UUlib-1.12-1.fc11.ppc
perl-IO-Socket-INET6-2.56-1.fc11.noarch
perl-MailTools-2.04-2.fc11.noarch
perl-Convert-TNEF-0.17-9.fc11.noarch
perl-Error-0.17015-2.fc11.noarch
make-3.81-15.fc11.ppc
pinentry-0.7.6-1.fc11.ppc
kdelibs-common-4.3.0-6.fc11.ppc
apr-devel-1.3.8-2.fc11.ppc
distcache-1.4.5-19.ppc
libcurl-7.19.6-1.fc11.ppc
libcurl-devel-7.19.6-1.fc11.ppc
pygtk2-libglade-2.14.1-2.fc11.ppc
mysql-5.1.37-1.fc11.ppc
pulseaudio-libs-0.9.15-17.fc11.ppc
kernel-headers-2.6.30.5-43.fc11.ppc
logwatch-7.3.6-44.fc11.noarch
fontconfig-2.7.2-1.fc11.ppc
pciutils-libs-3.1.4-2.fc11.ppc
dhclient-4.1.0p1-4.fc11.ppc
php-cli-5.2.10-1.fc11.ppc
dovecot-1.2.4-1.fc11.ppc
openssh-5.2p1-5.fc11.ppc
pciutils-3.1.4-2.fc11.ppc
php-imap-5.2.10-1.fc11.ppc
php-xml-5.2.10-1.fc11.ppc
php-tidy-5.2.10-1.fc11.ppc
glibc-devel-2.10.1-5.ppc
gamin-python-0.1.10-4.fc11.ppc

Comment 1 Chuck Ebbert 2009-09-09 05:39:58 UTC
static void dquot_claim_reserved_space(struct dquot *dquot,
                                                qsize_t number)
{
        WARN_ON(dquot->dq_dqb.dqb_rsvspace < number);
        dquot->dq_dqb.dqb_curspace += number;
        dquot->dq_dqb.dqb_rsvspace -= number;
}

The quota code hasn't changed, so I'd suspect and ext4 bug.

Comment 2 Eric Sandeen 2009-09-09 14:47:21 UTC
This is a new function made just for ext4:

740d9dcd	(Mingming Cao	2009-01-13 16:43:14 +0100	961)static void dquot_claim_reserved_space(struct dquot *dquot,

commit 740d9dcd949a986c88886a591054a0cdb89ef669
Author: Mingming Cao <cmm@us.ibm.com>
Date:   Tue Jan 13 16:43:14 2009 +0100

    quota: Add quota reservation claim and released operations

AFAIK ext4 quota wasn't really working at all prior to .30 so it's not really a regression, though it does look like a bug.  Guessing a locking problem around some bucket of usage information in quota and/or ext4.

-Eric

Comment 3 Derek Piazza 2009-09-09 16:50:40 UTC
Thank you for your help so far.

However, the strange part is that I do not have any quota limits for any of my users at this time. 

Please let me know if you need any more information.

Comment 4 Eric Sandeen 2009-09-09 16:59:40 UTC
Oh, well that is most unfortunate, if you didn't even have quota set.  :)

Do you have any quota on at all?  (maybe quotas enabled but no limits set?)

I'll see what's going on, thanks.

-Eric

Comment 5 Derek Piazza 2009-09-09 17:06:38 UTC
Correct, the quota is enabled with "Unlimited". At this time I don't have any users that I am worried about taking up to much space.

Maybe I will create a user.. with a quota limit and see what happens? 

Thanks,
Derek

Comment 6 Eric Sandeen 2009-09-09 17:15:18 UTC
If you feel like testing, sure ;)

-Eric

Comment 7 Derek Piazza 2009-09-09 17:30:49 UTC
Okay, I will do some testing on my side... I only knew how to adjust quota's via Webmin :(  .....

Normally when I would go to "Quota" usages, it would give me a long list of everyone on my system and how much space they are using. That does not happen anymore. If I select my username, it does not let me edit it anymore. I would think that is a Webmin issue, but I dont know. 

At this time I disabled the quota, I am going to see if I keep getting those error messages...

Thanks,

Comment 8 Chuck Ebbert 2009-09-09 19:40:01 UTC
Upstream discussion:
http://marc.info/?t=125238694400002&r=1&w=2

Comment 9 Derek Piazza 2009-09-09 20:37:25 UTC
(In reply to comment #7)
> Okay, I will do some testing on my side... I only knew how to adjust quota's
> via Webmin :(  .....
> 
> Normally when I would go to "Quota" usages, it would give me a long list of
> everyone on my system and how much space they are using. That does not happen
> anymore. If I select my username, it does not let me edit it anymore. I would
> think that is a Webmin issue, but I dont know. 
> 
> At this time I disabled the quota, I am going to see if I keep getting those
> error messages...
> 
> Thanks,  

The Error Message have stopped.. with Quota Disabled.

Comment 10 Rolf Fokkens 2009-09-10 12:32:03 UTC
Same here for x86_64:

2009-09-10T14:20:01.928275+02:00 home07 kernel: ------------[ cut here ]------------
2009-09-10T14:20:01.928285+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xd9/0x14e() (Tainted: P        W )
2009-09-10T14:20:01.928292+02:00 home07 kernel: Hardware name: System Product Name
2009-09-10T14:20:01.928324+02:00 home07 kernel: Modules linked in: fuse bridge stp llc bnep sco l2cap bluetooth it87 hwmon_vid nfs lockd fscache nfs_acl auth_rpcgss sunrpc ipv6 cpufreq_ondemand powernow_k8 freq_table dm_multipath raid1 kvm_amd kvm uinput snd_hda_codec_analog snd_hda_intel ppdev snd_hda_codec snd_hwdep nvidia(P) snd_pcm snd_timer snd k8temp serio_raw pcspkr soundcore 8139too i2c_nforce2 snd_page_alloc parport_pc 8139cp hfcpci asus_atk0110 mISDN_core forcedeth mii parport hwmon i2c_core joydev pata_amd ata_generic pata_acpi sata_nv raid456 raid6_pq async_xor async_memcpy async_tx xor [last unloaded: scsi_wait_scan]
2009-09-10T14:20:01.928337+02:00 home07 kernel: Pid: 29, comm: pdflush Tainted: P        W  2.6.30.5-43.fc11.x86_64 #1
2009-09-10T14:20:01.928343+02:00 home07 kernel: Call Trace:
2009-09-10T14:20:01.928351+02:00 home07 kernel: [<ffffffff81057104>] warn_slowpath_common+0x95/0xc3
2009-09-10T14:20:01.928359+02:00 home07 kernel: [<ffffffff81057159>] warn_slowpath_null+0x27/0x3d
2009-09-10T14:20:01.928368+02:00 home07 kernel: [<ffffffff81160b7f>] dquot_claim_space+0xd9/0x14e
2009-09-10T14:20:01.928376+02:00 home07 kernel: [<ffffffff811af275>] ext4_mb_mark_diskspace_used+0x332/0x3f0
2009-09-10T14:20:01.928385+02:00 home07 kernel: [<ffffffff811b2beb>] ext4_mb_new_blocks+0x243/0x4bc
2009-09-10T14:20:01.928394+02:00 home07 kernel: [<ffffffff811a87bf>] ? ext4_ext_find_extent+0x62/0x29c
2009-09-10T14:20:01.928402+02:00 home07 kernel: [<ffffffff811aa5ae>] ext4_ext_get_blocks+0xb69/0xd3b
2009-09-10T14:20:01.928410+02:00 home07 kernel: [<ffffffff812104d8>] ? generic_make_request+0x254/0x2b2
2009-09-10T14:20:01.928418+02:00 home07 kernel: [<ffffffff81197ca4>] ext4_get_blocks_wrap+0x117/0x271
2009-09-10T14:20:01.928427+02:00 home07 kernel: [<ffffffff81199326>] mpage_da_map_blocks+0xc0/0x5fa
2009-09-10T14:20:01.928434+02:00 home07 kernel: [<ffffffff810dd200>] ? pagevec_lookup_tag+0x34/0x54
2009-09-10T14:20:01.928442+02:00 home07 kernel: [<ffffffff810db207>] ? write_cache_pages+0x195/0x40c
2009-09-10T14:20:01.928450+02:00 home07 kernel: [<ffffffff811bfce9>] ? jbd2_journal_start+0xb7/0x106
2009-09-10T14:20:01.928459+02:00 home07 kernel: [<ffffffff81199b9d>] ext4_da_writepages+0x33d/0x53a
2009-09-10T14:20:01.928467+02:00 home07 kernel: [<ffffffff810db503>] do_writepages+0x3a/0x60
2009-09-10T14:20:01.928476+02:00 home07 kernel: [<ffffffff811345b4>] __writeback_single_inode+0x168/0x2a8
2009-09-10T14:20:01.928542+02:00 home07 kernel: [<ffffffff81134b26>] generic_sync_sb_inodes+0x21a/0x361
2009-09-10T14:20:01.928550+02:00 home07 kernel: [<ffffffff81134ee3>] writeback_inodes+0xb0/0x119
2009-09-10T14:20:01.928558+02:00 home07 kernel: [<ffffffff810db73c>] wb_kupdate+0xc0/0x14a
2009-09-10T14:20:01.928566+02:00 home07 kernel: [<ffffffff810dc802>] pdflush+0x16d/0x272
2009-09-10T14:20:01.928574+02:00 home07 kernel: [<ffffffff810db67c>] ? wb_kupdate+0x0/0x14a
2009-09-10T14:20:01.928582+02:00 home07 kernel: [<ffffffff810dc695>] ? pdflush+0x0/0x272
2009-09-10T14:20:01.928590+02:00 home07 kernel: [<ffffffff81070665>] kthread+0x6d/0xae
2009-09-10T14:20:01.928597+02:00 home07 kernel: [<ffffffff8101313a>] child_rip+0xa/0x20
2009-09-10T14:20:01.928605+02:00 home07 kernel: [<ffffffff81012afd>] ? restore_args+0x0/0x30
2009-09-10T14:20:01.928613+02:00 home07 kernel: [<ffffffff810705f8>] ? kthread+0x0/0xae
2009-09-10T14:20:01.928621+02:00 home07 kernel: [<ffffffff81013130>] ? child_rip+0x0/0x20
2009-09-10T14:20:01.928628+02:00 home07 kernel: ---[ end trace 263effe0036f45d1 ]---

I know it's tainted because of the nvidia driver, but I think it's not relevant

Comment 11 Theodore Tso 2009-10-20 04:45:13 UTC
Note: This has hit the top-ten list on kerneloops.org:

http://www.kerneloops.org/searchweek.php?search=dquot_claim_space

Comment 12 Rolf Fokkens 2009-10-30 16:17:17 UTC
x86_64 again (2.6.30.9-90.fc11.x86_64)

WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xd9/0x14e() (Tainted: P        W )
Hardware name: System Product Name
Modules linked in: fuse bridge stp llc bnep sco l2cap bluetooth it87 hwmon_vid nfs lockd fscache nfs_acl auth_rpcgss sunrpc ipv6 cpufreq_ondemand powernow_k8 freq_table dm_multipath raid1 kvm_amd kvm uinput snd_hda_codec_analog snd_hda_intel snd_hda_codec snd_hwdep ppdev snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm nvidia(P) snd_timer snd 8139too 8139cp hfcpci soundcore serio_raw i2c_nforce2 k8temp mISDN_core pata_amd parport_pc forcedeth parport asus_atk0110 mii pcspkr i2c_core joydev hwmon snd_page_alloc ata_generic pata_acpi sata_nv raid456 raid6_pq async_xor async_memcpy async_tx xor [last unloaded: scsi_wait_scan]
Pid: 29, comm: pdflush Tainted: P        W  2.6.30.9-90.fc11.x86_64 #1
Call Trace:
 [<ffffffff81057098>] warn_slowpath_common+0x95/0xc3
 [<ffffffff810570ed>] warn_slowpath_null+0x27/0x3d
 [<ffffffff8115ed03>] dquot_claim_space+0xd9/0x14e
 [<ffffffff811ad445>] ext4_mb_mark_diskspace_used+0x332/0x3f0
 [<ffffffff811b0dbd>] ext4_mb_new_blocks+0x243/0x4be
 [<ffffffff811a698f>] ? ext4_ext_find_extent+0x62/0x29c
 [<ffffffff811a877e>] ext4_ext_get_blocks+0xb69/0xd3b
 [<ffffffff8120e670>] ? generic_make_request+0x254/0x2b2
 [<ffffffff81195e74>] ext4_get_blocks_wrap+0x117/0x271
 [<ffffffff811974f6>] mpage_da_map_blocks+0xc0/0x5fa
 [<ffffffff810db94c>] ? pagevec_lookup_tag+0x34/0x54
 [<ffffffff810d99bb>] ? write_cache_pages+0x195/0x40c
 [<ffffffff811bde7a>] ? jbd2_journal_start+0x74/0x106
 [<ffffffff811bdebd>] ? jbd2_journal_start+0xb7/0x106
 [<ffffffff81197d6d>] ext4_da_writepages+0x33d/0x53a
 [<ffffffff810d9cb7>] do_writepages+0x3a/0x60
 [<ffffffff8113289c>] __writeback_single_inode+0x168/0x2a8
 [<ffffffff81132e0e>] generic_sync_sb_inodes+0x21a/0x361
 [<ffffffff811331cb>] writeback_inodes+0xb0/0x119
 [<ffffffff810d9ef0>] wb_kupdate+0xc0/0x14a
 [<ffffffff810daf57>] pdflush+0x163/0x25e
 [<ffffffff810d9e30>] ? wb_kupdate+0x0/0x14a
 [<ffffffff810dadf4>] ? pdflush+0x0/0x25e
 [<ffffffff81070171>] kthread+0x6d/0xae
 [<ffffffff810528e7>] ? schedule_tail+0x38/0xa3
 [<ffffffff8101310a>] child_rip+0xa/0x20
 [<ffffffff81070104>] ? kthread+0x0/0xae
 [<ffffffff81013100>] ? child_rip+0x0/0x20

Popularity on kerneloops is rising!

Comment 13 Rolf Fokkens 2009-12-05 16:48:40 UTC
Just an update: I updated to Fedora 12 and the problem is still there. That's no news I guess, because the kerneloops is still very "popular".

Well, anyway: kernel-2.6.31.6-145.fc12.x86_68

------------[ cut here ]------------
WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xca/0x12a() (Tainted: P        W )
Hardware name: System Product Name
Modules linked in: fuse hwmon_vid nfs lockd fscache nfs_acl auth_rpcgss sunrpc ipv6 cpufreq_ondemand powernow_k8 freq_table dm_multipath kvm_amd kvm uinput snd_hda_codec_analog snd_hda_intel snd_hda_codec snd_hwdep nvidia(P) snd_seq snd_seq_device snd_pcm snd_timer snd soundcore amd64_edac_mod snd_page_alloc i2c_nforce2 hfcpci edac_core mISDN_core i2c_core serio_raw joydev k8temp ppdev parport_pc asus_atk0110 parport raid1 raid456 raid6_pq async_xor async_memcpy async_tx xor 8139cp pata_acpi 8139too ata_generic usb_storage mii forcedeth pata_amd sata_nv [last unloaded: scsi_wait_scan]
Pid: 1495, comm: updatedb Tainted: P        W  2.6.31.6-145.fc12.x86_64 #1
Call Trace:
 [<ffffffff810516f4>] warn_slowpath_common+0x84/0x9c
 [<ffffffff81051720>] warn_slowpath_null+0x14/0x16
 [<ffffffff8113e4c4>] dquot_claim_space+0xca/0x12a
 [<ffffffff8118d852>] ext4_mb_mark_diskspace_used+0x272/0x31a
 [<ffffffff81190522>] ext4_mb_new_blocks+0x1e4/0x3fe
 [<ffffffff8118710a>] ? ext4_ext_find_extent+0x53/0x279
 [<ffffffff81188dcb>] ext4_ext_get_blocks+0xb5c/0xcea
 [<ffffffff811e72df>] ? generic_make_request+0x24e/0x2ac
 [<ffffffff8101286e>] ? apic_timer_interrupt+0xe/0x20
 [<ffffffff8141a8e0>] ? __down_write_nested+0x17/0xab
 [<ffffffff8141a998>] ? __down_read+0x17/0xaa
 [<ffffffff8116dc1e>] ext4_get_blocks+0x119/0x27b
 [<ffffffff8116de34>] mpage_da_map_blocks+0xb4/0x5da
 [<ffffffff810c9879>] ? pagevec_lookup_tag+0x25/0x2e
 [<ffffffff8116e86c>] ? __mpage_da_writepage+0x0/0x153
 [<ffffffff8116e619>] ext4_da_writepages+0x2bf/0x468
 [<ffffffff810c817c>] do_writepages+0x2d/0x3c
 [<ffffffff810c1ff8>] __filemap_fdatawrite_range+0x50/0x52
 [<ffffffff810c27b9>] filemap_flush+0x1c/0x1e
 [<ffffffff8116d19a>] ext4_alloc_da_blocks+0x30/0x32
 [<ffffffff811748db>] ext4_rename+0x608/0x624
 [<ffffffff8110617b>] vfs_rename+0x225/0x3c0
 [<ffffffff811bb417>] ? security_inode_permission+0x21/0x23
 [<ffffffff811075da>] sys_renameat+0x193/0x20c
 [<ffffffff81111a09>] ? mntput_no_expire+0x29/0xec
 [<ffffffff810fb331>] ? sys_fchmodat+0xb2/0xc5
 [<ffffffff811042e1>] ? path_put+0x22/0x27
 [<ffffffff81095e6c>] ? audit_syscall_entry+0x11e/0x14a
 [<ffffffff8110766e>] sys_rename+0x1b/0x1d
 [<ffffffff81011cf2>] system_call_fastpath+0x16/0x1b
---[ end trace c9d7015b9c68d760 ]---

I'm also intrigued by the fact that this bug lives for so long. Perhaps it's no bug but a feature?

Comment 14 Theodore Tso 2009-12-12 17:33:44 UTC
It's primarily a matter of time available from the ext4 development
community, plus the fact that very few of them run with quotas and/or
SELinux. 

The warning message is mostly harmless, but it's definitely a bug that we should fix.

Would you mind answering a few questions about your system configuration?

1) Can you reproduce it easily?  If so, what is the best reproduction
case?

2)  Do you have both user and group quotas enabled, or just user quotas?

3)  Do you have SELinux enabled?

Thanks!!

Comment 15 Rolf Fokkens 2009-12-13 10:28:46 UTC
1) I initially had the problem on a Fedora 10->11 upgraded x86-64 system after converting ext3 to ext4 and enabling quota. Upgrading tot Fedora 12 did not solve the problem. Enabling or disabling SElinux has no effect, currently SElinux is permissive.
I then installed a fresh Fedora 12 KVM system, again x86_64. I created a custom file layout (/boot is ext3, / is ext4, apart from swap no other filesystems), but otherwise it's standard. SELinux is active (enforcing). After enabling quotas the reported problems showed up again.

2) Both user and group quotas are enabled

3) Yes and no. Two systems, enforcing or permissive makes no difference.

Comment 16 Rolf Fokkens 2009-12-27 12:24:12 UTC
The warning message may be harmless, but it suggests there's at least something not working fine. To be more precise: are quota broken with ext4 or aren't they?

If quota are broken, people should stop using them on ext4, and they should be told.

If quota are OK, and ext4 is as well... then the message is harmless indeed, and should disappear. abrt is driving me (and itself) nuts with the huge amount of (harmless) messages that are processed.

Comment 17 Eric Sandeen 2010-03-30 17:05:57 UTC
Rolt, are you still encountering this problem with the 2.6.32 kernel on F12?

Thanks,
-Eric

Comment 18 Eric Sandeen 2010-03-30 17:08:51 UTC
Hm based on kerneloops.org, I suppose so.

Comment 19 Rolf Fokkens 2010-03-30 17:35:37 UTC
Absolutely, this useless assertion still floods my syslog.

Comment 20 Eric Sandeen 2010-03-30 19:13:34 UTC
For what it's worth 2.6.34-rc1 has the following change:

commit 0a5a9c725512461d19397490f3adf29931dca1f2
Author: Jan Kara <jack@suse.cz>
Date:   Tue Feb 9 18:20:39 2010 +0100

    quota: Fix warning when a delayed write happens before quota is enabled
    
    If a delayed-allocation write happens before quota is enabled, the
    kernel spits out a warning:
    WARNING: at fs/quota/dquot.c:988 dquot_claim_space+0x77/0x112()
    
    because the fact that user has some delayed allocation is not recorded
    in quota structure.
    
    Make dquot_initialize() update amount of reserved space for user if it sees
    inode has some space reserved. Also make sure that reserved quota space does
    not go negative and we warn about the filesystem bug just once.
    
    Signed-off-by: Jan Kara <jack@suse.cz>

so for one, we only get one warning now ...

However, I wonder if there's a chance that fedora bootup is doing something to cause writes prior to quota enablement... or if we are getting out of sync in another way.

Comment 21 Eric Sandeen 2010-03-30 19:26:31 UTC
Actually this is the other piece needed, which handles writes prior to quotaon.

From: Dmitry Monakhov <dmonakhov@openvz.org>
Date: Tue, 9 Feb 2010 16:53:36 +0000 (+0100)
Subject: quota: manage reserved space when quota is not active [v2]
X-Git-Tag: v2.6.34-rc1~192^2~27

quota: manage reserved space when quota is not active [v2]

Since we implemented generic reserved space management interface,
then it is possible to account reserved space even when quota
is not active (similar to i_blocks/i_bytes).

Without this patch following testcase result in massive comlain from
WARN_ON in dquot_claim_space()

...

I'll do a little testing of this in the F12 kernel; it will be good to know if we actually are doing writes prior to quotaon or if there is some other accounting problem.

Comment 22 Rolf Fokkens 2010-03-30 21:38:31 UTC
This may be informational, as it demonstrates the time the system is booted en the sh*tload of quota messages long after it's booted:

[root@home07 ~]# last | head
rolf     pts/1        :0.0             Tue Mar 30 23:32   still logged in   
rolf     pts/0        :0.0             Tue Mar 30 19:11   still logged in   
rolf     tty1         :0               Tue Mar 30 19:06   still logged in   
reboot   system boot  2.6.32.9-70.fc12 Tue Mar 30 19:04 - 23:35  (04:31)    
rolf     pts/1        :0.0             Tue Mar 30 08:22 - 08:22  (00:00)
   
[root@home07 ~]# grep dquot_claim_space /var/log/messages | tail -n 50
2010-03-30T23:31:49.372978+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xca/0x12a()
2010-03-30T23:31:49.373078+02:00 home07 kernel: [<ffffffff811646ec>] dquot_claim_space+0xca/0x12a
2010-03-30T23:31:49.384245+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xa2/0x12a()
2010-03-30T23:31:49.384597+02:00 home07 kernel: [<ffffffff811646c4>] dquot_claim_space+0xa2/0x12a
2010-03-30T23:31:49.384943+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xca/0x12a()
2010-03-30T23:31:49.385052+02:00 home07 kernel: [<ffffffff811646ec>] dquot_claim_space+0xca/0x12a
2010-03-30T23:31:54.384332+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xa2/0x12a()
2010-03-30T23:31:54.384454+02:00 home07 kernel: [<ffffffff811646c4>] dquot_claim_space+0xa2/0x12a
2010-03-30T23:31:54.384729+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xca/0x12a()
2010-03-30T23:31:54.384829+02:00 home07 kernel: [<ffffffff811646ec>] dquot_claim_space+0xca/0x12a
2010-03-30T23:31:59.394486+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xa2/0x12a()
2010-03-30T23:31:59.394614+02:00 home07 kernel: [<ffffffff811646c4>] dquot_claim_space+0xa2/0x12a
2010-03-30T23:31:59.394910+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xca/0x12a()
2010-03-30T23:31:59.395012+02:00 home07 kernel: [<ffffffff811646ec>] dquot_claim_space+0xca/0x12a
2010-03-30T23:32:29.428766+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xa2/0x12a()
2010-03-30T23:32:29.429044+02:00 home07 kernel: [<ffffffff811646c4>] dquot_claim_space+0xa2/0x12a
2010-03-30T23:32:29.429740+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xca/0x12a()
2010-03-30T23:32:29.429863+02:00 home07 kernel: [<ffffffff811646ec>] dquot_claim_space+0xca/0x12a
2010-03-30T23:32:59.429518+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xa2/0x12a()
2010-03-30T23:32:59.429636+02:00 home07 kernel: [<ffffffff811646c4>] dquot_claim_space+0xa2/0x12a
2010-03-30T23:32:59.429928+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xca/0x12a()
2010-03-30T23:32:59.430029+02:00 home07 kernel: [<ffffffff811646ec>] dquot_claim_space+0xca/0x12a
2010-03-30T23:33:29.485002+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xa2/0x12a()
2010-03-30T23:33:29.485515+02:00 home07 kernel: [<ffffffff811646c4>] dquot_claim_space+0xa2/0x12a
2010-03-30T23:33:29.487117+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xca/0x12a()
2010-03-30T23:33:29.487345+02:00 home07 kernel: [<ffffffff811646ec>] dquot_claim_space+0xca/0x12a
2010-03-30T23:33:59.495525+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xa2/0x12a()
2010-03-30T23:33:59.495643+02:00 home07 kernel: [<ffffffff811646c4>] dquot_claim_space+0xa2/0x12a
2010-03-30T23:33:59.495922+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xca/0x12a()
2010-03-30T23:33:59.496024+02:00 home07 kernel: [<ffffffff811646ec>] dquot_claim_space+0xca/0x12a
2010-03-30T23:34:29.511410+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xa2/0x12a()
2010-03-30T23:34:29.511912+02:00 home07 kernel: [<ffffffff811646c4>] dquot_claim_space+0xa2/0x12a
2010-03-30T23:34:29.512654+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xca/0x12a()
2010-03-30T23:34:29.512869+02:00 home07 kernel: [<ffffffff811646ec>] dquot_claim_space+0xca/0x12a
2010-03-30T23:34:59.511542+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xa2/0x12a()
2010-03-30T23:34:59.511659+02:00 home07 kernel: [<ffffffff811646c4>] dquot_claim_space+0xa2/0x12a
2010-03-30T23:34:59.511940+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xca/0x12a()
2010-03-30T23:34:59.512042+02:00 home07 kernel: [<ffffffff811646ec>] dquot_claim_space+0xca/0x12a
2010-03-30T23:35:29.544353+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xa2/0x12a()
2010-03-30T23:35:29.544472+02:00 home07 kernel: [<ffffffff811646c4>] dquot_claim_space+0xa2/0x12a
2010-03-30T23:35:29.544751+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xca/0x12a()
2010-03-30T23:35:29.544853+02:00 home07 kernel: [<ffffffff811646ec>] dquot_claim_space+0xca/0x12a
2010-03-30T23:35:59.580394+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xa2/0x12a()
2010-03-30T23:35:59.580560+02:00 home07 kernel: [<ffffffff811646c4>] dquot_claim_space+0xa2/0x12a
2010-03-30T23:35:59.580842+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xca/0x12a()
2010-03-30T23:35:59.580944+02:00 home07 kernel: [<ffffffff811646ec>] dquot_claim_space+0xca/0x12a
2010-03-30T23:36:29.641523+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xa2/0x12a()
2010-03-30T23:36:29.641641+02:00 home07 kernel: [<ffffffff811646c4>] dquot_claim_space+0xa2/0x12a
2010-03-30T23:36:29.641920+02:00 home07 kernel: WARNING: at fs/quota/dquot.c:964 dquot_claim_space+0xca/0x12a()
2010-03-30T23:36:29.642022+02:00 home07 kernel: [<ffffffff811646ec>] dquot_claim_space+0xca/0x12a
[root@home07 ~]#

Comment 23 Rolf Fokkens 2010-03-30 21:39:33 UTC
So, if there's a testable kernel, I think it's good if I give it a try.

Comment 24 Eric Sandeen 2010-03-30 21:44:23 UTC
I've got this reproducing just fine here, finally, so I'll poke at it a bit myself.  I'll let you know when there's something for you to test, ok?

Right now I have it on the stock f12 kernel; I first want to instrument it to see what the bad values are in this condition, then I'll likely test upstream to see if it's any different.

But what I'm seeing rules out "writes before quota was turned on" - this is clearly happening runtime, I think.

Thanks,
-Eric

Comment 25 Eric Sandeen 2010-03-30 22:54:31 UTC
Just for posterity, we're off by about this much:

inode 13866 reserved 0, claiming 4096
inode 13866 reserved 0, claiming 4096
inode 256521 reserved 0, claiming 4096
inode 256521 reserved 0, claiming 4096
inode 44925 reserved 4096, claiming 8192
inode 44925 reserved 0, claiming 4096
inode 306162 reserved 0, claiming 4096
inode 306162 reserved 0, claiming 4096
inode 44925 reserved 4096, claiming 8192
inode 44925 reserved 0, claiming 4096
inode 44925 reserved 0, claiming 4096
inode 330300 reserved 0, claiming 4096
inode 330300 reserved 0, claiming 4096
inode 44925 reserved 4096, claiming 8192
inode 44925 reserved 0, claiming 4096
inode 101443 reserved 8192, claiming 12288
inode 101443 reserved 8192, claiming 12288
inode 44925 reserved 4096, claiming 8192
inode 44925 reserved 0, claiming 4096
inode 121139 reserved 8192, claiming 12288
inode 121139 reserved 8192, claiming 12288


So claiming one more block than reserved, and in some cases having reserved none.

I thought it could possibly be the selinux xattr block, but seems not - persists to some degree at least even w/o selinux enabled.

-Eric

Comment 26 Norman Gaywood 2010-03-30 23:27:33 UTC
I occasionally the warning messages mentioned in this bugzilla.

I don't know if it's related, but often when I call setquota(8) I also get these messages in syslog:


Mar 31 10:16:59 turing kernel: JBD: Spotted dirty metadata buffer (dev = dm-1, blocknr = 102818). There's a risk of filesystem corruption in case of system crash.
Mar 31 10:16:59 turing kernel: JBD: Spotted dirty metadata buffer (dev = dm-1, blocknr = 102818). There's a risk of filesystem corruption in case of system crash.

Perhaps this is related? I get these messages much more often than the other warnings here.

Comment 27 Eric Sandeen 2010-03-31 20:22:24 UTC
Norman, the spotted dirty metadata business probably needs to be its own bug ...

as far as the quota issue, 

http://marc.info/?l=linux-ext4&m=127004978200365&w=2

I proposed pushing 

0a5a9c725512461d19397490f3adf29931dca1f2 quota: Fix warning when a delayed write happens before quota is enabled 

and

c469070aea5a0ada45a836937c776fd3083dae2b quota: manage reserved space when quota is not active [v2]

to -stable, they seem to fix things up on my box just fine.

Rolf, if you're able to compile your own kernels and want to test, go for it ...

One interesting tidbit is that quota complains that /etc/mtab was written before quota was turned on; I don't think there's any way around this! :)

-Eric

Comment 28 Norman Gaywood 2010-04-01 03:10:38 UTC
> Norman, the spotted dirty metadata business probably needs to be its own bug

OK, I've made bug 578674

Comment 29 Rolf Fokkens 2010-04-01 06:54:40 UTC
I included the patches in 2.6.32.10-90.fc12.src.rpm and did a rebuilt. After installing the resulting kernel 2.6.32.10-90.fc12.x86_64 I did a reboot, and so far (5 minutes) no more disturbing messages. I'll check later again te see if all is still quiet.

Comment 30 Rolf Fokkens 2010-04-01 06:57:13 UTC
Created attachment 403897 [details]
The spec for my modified 2.6.32.10-90.fc12.x86_64 kernel

This spec file includes the patches that may solve the dquot_claim_space messages, the patches in the spec are Patch20001 and Patch20002

Comment 31 Rolf Fokkens 2010-04-01 17:38:11 UTC
Several hours later syslog is still quiet. And quota seem to work reliably.

So it looks like a fix!

Comment 32 Eric Sandeen 2010-04-01 17:42:59 UTC
Good deal, thanks.

After I pinged Jan, found out he'd already submitted the patches for -stable (just yesterday) :)

F12 just went to 32.11 so .12 might be a ways out; I'm putting the patches in cvs today.

Thanks,
-Eric

Comment 33 Eric Sandeen 2010-04-01 18:18:54 UTC
Committed to F12 CVS.

Sorry this one took so long.  :)

Comment 34 Bug Zapper 2010-04-28 10:14:12 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 35 Bug Zapper 2010-06-28 14:32:20 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.